package cn.rankin.apiweb.controller;

import cn.rankin.apiweb.service.ProductService;
import cn.rankin.common.utils.service.RedisService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class TestFeignClient {

    @Autowired
    ProductService productClient;

    @Autowired
    private RedisService redisService;

    @RequestMapping(value = "/hello", method = RequestMethod.GET)
    public String test() {
        return "hello";
    }

    @RequestMapping(value = "/redis", method = RequestMethod.GET)
    public Object redis() {
        redisService.set("test", 1);
        return redisService.get("test");
    }
}
