package cn.rankin.data.api.trade.vo;

import cn.rankin.common.utils.enums.OrderStatusEnum;
import cn.rankin.data.api.product.vo.GoodsVo;
import lombok.Data;
import lombok.ToString;
import org.springframework.aop.target.LazyInitTargetSource;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
@ToString
public class UserOrderVo implements Serializable {

    private String id;

    private String uid;

    private String merchantId;

    private String merchantName;

    private BigDecimal originPrice;

    private BigDecimal finalPrice;

    private BigDecimal adjustPrice;

    private OrderStatusEnum status;

    private String userCode;

    private String provinceCode;

    private String cityName;

    private String zoneName;

    private String classroomName;

    private String note;

    private Date gmtCreated;

    private Date gmtModified;

    private List<GoodsVo> goods;
}
