package cn.rankin.tradeservice.utils;

import cn.rankin.data.api.trade.dto.UserOrderDTO;
import cn.rankin.data.api.trade.dto.OrderGoodsDTO;
import cn.rankin.data.api.trade.entity.UserOrder;
import cn.rankin.data.api.trade.entity.OrderGoods;
import org.springframework.beans.BeanUtils;

public class DTOConverter {

    public static UserOrder convert(UserOrderDTO userOrderDTO) {
        UserOrder userOrder = new UserOrder();
        BeanUtils.copyProperties(userOrderDTO, userOrder);
        return userOrder;
    }

    public static OrderGoods convert(String orderId, OrderGoodsDTO orderGoodsDTO) {
        OrderGoods relation = new OrderGoods();
        relation.setOrderId(orderId);
        relation.setGoodsId(orderGoodsDTO.getGoodsId());
        relation.setPid(orderGoodsDTO.getPid());
        relation.setQuantity(orderGoodsDTO.getQuantity());
        relation.setType(orderGoodsDTO.getType());
        return relation;
    }
}
